Bug 83527 - SIDEBAR: Show sidebar button should be a different color
Summary: SIDEBAR: Show sidebar button should be a different color
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Tomaz Vajngerl
QA Contact:
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2014-09-05 12:45 UTC by Yousuf Philips (jay)
Modified: 2016-10-24 14:41 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
how it looks when the sidebar is closed (11.17 KB, image/jpeg)
2014-09-05 12:45 UTC, Yousuf Philips (jay)
Details
how the hidden sidebar looks in Kingsoft Writer (1.40 KB, image/png)
2014-09-05 12:59 UTC, Yousuf Philips (jay)
Details
Screenshot (10.59 KB, image/png)
2014-09-07 18:17 UTC, Adolfo Jayme
Details
button in IBM Symphony (1.72 KB, image/png)
2015-03-29 16:16 UTC, Yousuf Philips (jay)
Details
image of slider 550% (1.59 KB, image/png)
2015-04-01 19:33 UTC, Cor Nouws
Details
Split window grip proposal (35.01 KB, image/png)
2015-04-02 08:59 UTC, Tomaz Vajngerl
Details
sidebar button on left pane (1.27 KB, image/png)
2015-05-30 08:35 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-09-05 12:45:32 UTC
Created attachment 105798 [details]
how it looks when the sidebar is closed

When the sidebar is in its closed position, it can be difficult to see, so i'd like to suggest it be changed to a different color.
Comment 1 retired 2014-09-05 12:54:39 UTC
barely visible. people over 50 won't see this. I'm younger but don't almost see it. :)

not sure if color is the solution or if the dots should just be darker grey to increase contrast. make them bigger as well and we should have a solution.

NEW
Comment 2 Yousuf Philips (jay) 2014-09-05 12:59:45 UTC
Created attachment 105799 [details]
how the hidden sidebar looks in Kingsoft Writer
Comment 3 Jean-Baptiste Faure 2014-09-05 15:32:14 UTC
Set back version to Inherited From OOo because we have this problem since OOo 1.0 with all windows docked a side of the main window: Navigator, Stylist, Task, bibliographic database, etc.

Best regards. JBF
Comment 4 Adolfo Jayme 2014-09-07 18:17:17 UTC
Created attachment 105863 [details]
Screenshot

The “tear-off” widget present at the bottom of toolbar dropdows (see screenshot) could be reused here, since it’s more visible. That way we wouldn’t need to reinvent the wheel. Thoughts, Kendy? :-)
Comment 5 Yousuf Philips (jay) 2014-09-07 18:47:02 UTC
Unfortunately, tear off is still all grey and the main issue is that it needs to be noticeable with a different color.
Comment 6 Adolfo Jayme 2014-09-07 18:58:52 UTC
Gray???

Jay, my screenshots shows an orange bar, which is of course blue under Windows and Mac (and also Linux if you use themes such as Clearlooks and Adwaita).
Comment 7 Yousuf Philips (jay) 2014-09-08 01:47:15 UTC
The tear off is gray until you move your mouse over it and then it turns color. It turns blue in windows 7 and Linux Mint (clearlooks).
Comment 8 Alex Thurgood 2015-01-03 17:41:30 UTC
Adding self to CC if not already on
Comment 9 A (Andy) 2015-01-03 19:53:16 UTC
I agree, it should be better visible and easier to use.
Currently, it is difficult to recognize and I think also to use it, because it is to some degree a game of skill.

RE Comment 4 - 7: It turns already to blue in Windows 8 (LO 4.3.4.1) if you do a mouse over.

RE Comment 1 and 2: It should be better visible.  I am also not sure whether a different colour is the best solution (not only at mouse over).  The proposal of Foss sounds for me very good.

In addition, I would propose to have a wider bar.  I am also younger, but even for me it is already a game of skill to take hold of it, because it is that thin.  I think with the current 16:9 screens we have one or two millimeters more for it.  With larger and darker dots it would then also be better visible.
Comment 10 Yousuf Philips (jay) 2015-03-29 16:16:44 UTC
Created attachment 114446 [details]
button in IBM Symphony

IBM button size : 6x71
LO button size : 6x37

IBM button symbol : Large triangle
LO button symbol : Row of dots with small triangles on each end
Comment 11 Cor Nouws 2015-04-01 19:33:10 UTC
Created attachment 114534 [details]
image of slider 550%

I suggest to look at possibility to make it more noticeble within the 6 pxl width
Comment 12 Yousuf Philips (jay) 2015-04-02 08:41:57 UTC
The GSoC student is working on a green color for the button background so it matches up with libreoffice's green logo.

http://picpaste.com/pics/Screenshot_from_2015-04-02_03_20_15-JpnpYk3q.1427964016.png
Comment 13 Tomaz Vajngerl 2015-04-02 08:59:09 UTC
Created attachment 114547 [details]
Split window grip proposal
Comment 14 Tomaz Vajngerl 2015-04-02 09:00:06 UTC
I didn't know somebody was working on this so I played a bit and came up with this.
Comment 15 Tomaz Vajngerl 2015-04-02 09:07:03 UTC
BTW. I don't agree with "green" LO color. It should be one of the style(able) colors.

The grip needs HiDPI support too (my main motivation to work on this actually as hitting that 3 pixel wide area is especially hard on a 3200x1800 screen. 

I also played to removing borders and removing the 3D look for them.
Comment 16 V Stuart Foote 2015-04-02 12:44:04 UTC
(In reply to Tomaz Vajngerl from comment #13)
> Split window grip proposal

@Tomaz, is that the selected, or non-selected mode. Does it change on mouse over?

Think you are correct that this single triangle "grip" will scale better for HiDPI than the dots and triangles we have now in 6px.

There was some discussion at the Design Hangout that a fixed color (not-styled to DE) would raise objections.
Comment 17 Tomaz Vajngerl 2015-04-03 00:03:05 UTC
That's currently when it is not selected. The color is DarkShadowColor, ShadowColor is more light if this one is too dark. When it is selected it uses the same as before (bluish color). 

I increased the border to 12 but that's probably too much (I will probably just scale the width for HiDPI).
Comment 18 Adolfo Jayme 2015-04-03 00:48:06 UTC
(In reply to Tomaz Vajngerl from comment #17)
> That's currently when it is not selected. The color is DarkShadowColor,
> ShadowColor is more light if this one is too dark. When it is selected it
> uses the same as before (bluish color). 
> 
> I increased the border to 12 but that's probably too much (I will probably
> just scale the width for HiDPI).

That sounds fine to me. Thanks!
Comment 19 V Stuart Foote 2015-04-03 01:13:38 UTC
(In reply to Tomaz Vajngerl from comment #17)
> That's currently when it is not selected. The color is DarkShadowColor,
> ShadowColor is more light if this one is too dark. When it is selected it
> uses the same as before (bluish color). 
>

Great, so the "selected" mode is DE controlled?
 
> I increased the border to 12 but that's probably too much (I will probably
> just scale the width for HiDPI).

OK, guess it could end up looking odd if too wide, since the handle sits within the 6px border.  But adding few more pixels to get a clean edge and well formed triangle should be fine.

From an aesthetics view, having just a single triangle in this flat view seems a bit off--and also is what Kingsoft has adopted. It points into the Sidebar deck when open, or pointing into the document canvas when closed to the edge. 

It might be more appealing to use four triangles, or maybe only two but place a square between them, just for something a bit more artistic.  

And of course will need the inverse for the other position of the Show/Hide pair. And those assignments reverses when Sidebar is moved to dock left side.

Assigned to you so there is no question.
Comment 20 Tomaz Vajngerl 2015-04-03 05:25:48 UTC
(In reply to V Stuart Foote from comment #19)
> Great, so the "selected" mode is DE controlled?

I don't know exactly - I just used DrawSelection from vcl::Windows which was already used before.

> OK, guess it could end up looking odd if too wide, since the handle sits
> within the 6px border.  But adding few more pixels to get a clean edge and
> well formed triangle should be fine.

I'll play with this a bit.
 
> From an aesthetics view, having just a single triangle in this flat view
> seems a bit off--and also is what Kingsoft has adopted. It points into the
> Sidebar deck when open, or pointing into the document canvas when closed to
> the edge. 

Actually, I used at Symphony. :)

> It might be more appealing to use four triangles, or maybe only two but
> place a square between them, just for something a bit more artistic.  
> 
> And of course will need the inverse for the other position of the Show/Hide
> pair. And those assignments reverses when Sidebar is moved to dock left side.
> 
> Assigned to you so there is no question.

I changed it to use 2 triangles, but I feel that anything more looks a little bit full.
Comment 21 Yousuf Philips (jay) 2015-04-03 17:32:44 UTC
Would be great to get a screenshot of what the 2 triangles looks like to compare, as i still think the single triangle will look better.
Comment 22 Commit Notification 2015-05-18 11:19:36 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b951771244d511c140a7c84181a1e160d9ef97c1

tdf#83527 change split window expande handle to be more visible

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Mike §chinagl 2015-05-21 16:16:07 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

Sidebar show/hide button has been improved for better visibility. tdf#83527 (Tomaž Vajngerl)
Comment 24 Yousuf Philips (jay) 2015-05-30 08:35:03 UTC
Created attachment 116167 [details]
sidebar button on left pane

Tomaz there is small problem with the button when its on the left panes in impress and draw, as its off by 1 pixel and should be shifted right.
Comment 25 steve -_- 2015-05-30 09:31:44 UTC
Wow, I didn't follow this. Nice job Tomaz! Much improved and the flat approach is great.

Should we reopen until the remaining glitch Jay mentioned is fixed?
Comment 26 Yousuf Philips (jay) 2015-05-30 19:07:00 UTC
Seems me setting it to reopened in the add attachment page didnt do it. :D
Comment 27 Adolfo Jayme 2015-05-30 19:39:41 UTC
Guys, please use your common sense. Those kind of things should be in a new report.